#include <Wire.h>
#include <Adafruit_NeoPixel.h>
#define PIN_LED 10     // Control signal, connect to DI of the LED
#define NUM_LED 1     // Number of LEDs in a strip
// Custom colour1: Yellow
#define RED_VAL_1       255
#define GREEN_VAL_1     255
#define BLUE_VAL_1      0
// Custom colour2: Purple
#define RED_VAL_2       255
#define GREEN_VAL_2     0
#define BLUE_VAL_2      255
// Custom colour3: Cyan
#define RED_VAL_3       0
#define GREEN_VAL_3     255
#define BLUE_VAL_3      255
Adafruit_NeoPixel RGB_Strip = Adafruit_NeoPixel(NUM_LED, PIN_LED, NEO_GRB + NEO_KHZ800);

void setup() {     
  pinMode(2, INPUT);         //body
  pinMode(7, INPUT);         //brushB   
  pinMode(8, INPUT);         //brushC   
  pinMode(10, OUTPUT);     //LED A
  pinMode(12, OUTPUT);     //relay 
  RGB_Strip.begin();
  RGB_Strip.show();
  RGB_Strip.setBrightness(255);    // Set brightness, 0-255 (darkest - brightest)
  
} 
void loop() {       
        if  (digitalRead(2)==1) 
        {
        colorWipe(RGB_Strip.Color(0, 0, 255), 1000);  // Blue      
        digitalWrite(12, LOW);    //Turn on relay   
        }
       else{
          if ((digitalRead(7)==1) or (digitalRead(8)==1))  
         {  digitalWrite(12, HIGH);  
          colorWipe(RGB_Strip.Color(255, 0, 0), 1000);  
         } 
       else
       {  digitalWrite(12, LOW);  
          colorWipe(RGB_Strip.Color(0, 255, 0), 1000);  
        }
        }
    }


void colorWipe(uint32_t c, uint16_t wait) {
  for (uint16_t i = 0; i < RGB_Strip.numPixels(); i++) {
    RGB_Strip.setPixelColor(i, c);
    RGB_Strip.show();
    delay(wait);
  }
}

uint32_t Wheel(byte WheelPos) {
  if (WheelPos < 85) {
    return RGB_Strip.Color(WheelPos * 3, 255 - WheelPos * 3, 0);
  } else if (WheelPos < 170) {
    WheelPos -= 85;
    return RGB_Strip.Color(255 - WheelPos * 3, 0, WheelPos * 3);
  } else {
    WheelPos -= 170;
    return RGB_Strip.Color(0, WheelPos * 3, 255 - WheelPos * 3);
  }
}
